<?php

/* DCMS Special
 * Дата последнего редактирования 25.09.2016
 * Модифицировал densnet
 * Автор yadalay
 */

if ($razdel->type == 0 || ($razdel->type == 1) && $user['group_access'] > 2) {
    if (isset($_POST['create'])) {
        $name = mysql_real_escape_string(trim($_POST['name']));
        $description = mysql_real_escape_string(trim($_POST['description']));
        $type = ($user['group_access'] > 7 && isset($_POST['type'])) ? 1 : 0;

        if (mb_strlen($name) < 3 || mb_strlen($name) > 100) {
            echo "<div class='alert alert-danger'>" . lang('В поле Название темы можно использовать от 3 до 100 символов') . ".</div>";
        } elseif (mb_strlen($description) < 3) {
            echo "<div class='alert alert-danger'>" . lang('Слишком короткое содержание темы') . ".</div>";
        } else {
            $_SESSION['message'] = lang('Тема успешно создана');
            mysql_query('INSERT INTO `forum_themes` SET `id_forum` = ' . $forum->id . ', `id_razdel` = ' . $razdel->id . ', `name` = "' . $name . '", `description` = "' . $description . '", `type` = ' . $type . ', `time` = ' . $time . ', `time_edit` = "0", `time_post` = ' . $time . ', `reason_close` = "", `id_user` = ' . $user['id']);
            header('Location: ' . DIR_FORUM . $forum->id . '/' . $razdel->id . '/' . mysql_insert_id() . '.html');
            exit;
        }
    } elseif (isset($_POST['cancel'])) {
        header('Location: ' . DIR_FORUM . $forum->id . '/' . $razdel->id . '/');
        exit;
    }

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_FORUM . "'>" . lang('Форум') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_FORUM . "$forum->id/'>" . toOutput($forum->name, 1, 1, 0, 0, 0) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_FORUM . "$forum->id/$razdel->id/'>" . toOutput($razdel->name, 1, 1, 0, 0, 0) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Создание темы');
    echo "</small></div><br />";

    echo "<form class='list-group-item-null' name='form' action='" . DIR_FORUM . "$forum->id/$razdel->id/create_theme.html' method='post'>";

    $doc->Input('name', 'Название темы');
    echo auto_bb("form", "description");
    $doc->Textarea('description', 'Содержание темы');

    if ($user['group_access'] > 7) {
        echo lang('Вывод темы в разделе') . ":<br />";
        $doc->Checkbox('type', 'Тема всегда вверху', 1);
    }

    echo "<hr>";

    $doc->Button('btn btn-primary btn-sm', 'create', null, 'Создать');
    $doc->Button('btn btn-secondary btn-sm', 'cancel', null, 'Отменить');

    echo "</form>";

    require_once H . 'sys/inc/tfoot.php';
} else {
    header('Location: ' . DIR_FORUM . $forum->id . '/' . $razdel->id . '/');
}
exit;
